Name: mythes-en
Summary: English thesaurus
Version: 3.0
Release: %mkrel 11
Source: http://www.danielnaber.de/wn2ooo/wn2ooo20050723.tgz
Group:  Text tools 
URL: http://www.danielnaber.de/wn2ooo/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python, perl, wordnet = %{version}
License: MIT and Public Domain and (GPL+ or Artistic)
BuildArch: noarch
Requires: mythes
Requires: locales-en

%description
English thesaurus.

%prep
%setup -q -c %{name}-%{version}

%build
export WNHOME=%{_datadir}/WordNet
python wn2ooo/wn2ooo.py > th_en_US_v2.dat
cat th_en_US_v2.dat | perl wn2ooo/th_gen_idx.pl > th_en_US_v2.idx


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mythes
cp -p th_en_US_v2.* $RPM_BUILD_ROOT/%{_datadir}/mythes

pushd $RPM_BUILD_ROOT/%{_datadir}/mythes/
en_US_aliases="en_AG en_AU en_BS en_BW en_BZ en_CA en_DK en_GB en_GH en_IE en_IN en_JM en_NA en_NG en_NZ en_PH en_SG en_TT en_ZA en_ZW"
for lang in $en_US_aliases; do
        ln -s th_en_US_v2.idx "th_"$lang"_v2.idx"
        ln -s th_en_US_v2.dat "th_"$lang"_v2.dat"
done
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc wn2ooo/LICENSE_th_gen_idx.txt wn2ooo/README.txt
%{_datadir}/mythes/*



%changelog

* Fri Mar 29 2013 tv <tv> 3.0-11.mga3
+ Revision: 406102
- requires locales-mythes-en (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 3.0-10.mga3
+ Revision: 360593
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 12 2011 dmorgan <dmorgan> 3.0-9.mga1
+ Revision: 69970
- Rebuild because of missing package

* Sat Mar 12 2011 dmorgan <dmorgan> 3.0-8.mga1
+ Revision: 68527
- Fix WordNet path
- imported package mythes-en

